Bug 524263 - Cannot compile with net-snmp-5.5
Summary: Cannot compile with net-snmp-5.5
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openhpi-subagent
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 15:14 UTC by Jan Safranek
Modified: 2009-10-26 10:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-26 10:24:34 UTC


Attachments (Terms of Use)
compilation log (131.45 KB, text/plain)
2009-09-18 15:14 UTC, Jan Safranek
no flags Details

Description Jan Safranek 2009-09-18 15:14:30 UTC
Created attachment 361681 [details]
compilation log

Description of problem:
I'm preparing net-snmp-5.5 release for rawhide and I can't compile  openhpi-subagent-2.3.4-7 with it.

New net-snmp defines DEBUGMSGTL macro in a way, which makes the compiler to check printf-like syntax in its arguments. E.g. following code produces warning now, because char* is expected as second argument:

int i;
DEBUGMSGTL(("hello %s", i));


Unfortunately, openhpi-subagent is full of such warnings now, see attached compilation log. Since it's compiled with -Werror, compilation fails (the build log is without -Werror to get full list of problems). You can either fix the warnings or relax the -Werror switch.

NOTE: net-snmp-5.5 has not been checked into rawhide yet. Currently the upstream release is scheduled to next Monday, I'll poke you when the time comes and we can coordinate our effort.

Comment 1 Jan Safranek 2009-10-22 13:27:07 UTC
net-snmp-5.5 is in dist-f13 (soon-to-be-rawhide) now, could you please fix it?


Note You need to log in before you can comment on or make changes to this bug.